%global gem_name ruby-ole

Summary: Ruby OLE library
Name: rubygem-%{gem_name}
Version: 1.2.11.2
Release: 2%{?dist}
Group: Development/Languages
License: MIT
URL: http://code.google.com/p/ruby-ole
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ruby(abi) = 1.9.1
Requires: ruby(rubygems)
BuildRequires: rubygems-devel
BuildRequires: rubygem(minitest)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
A library for easy read/write access to OLE compound documents for Ruby.

%package doc
Summary:           Documentation for %{name}
Group:             Documentation
Requires:          %{name} = %{version}-%{release}

%description doc
Documentation for %{name}.


%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
gem install --local --install-dir %{buildroot}%{gem_dir} \
            --force --rdoc %{SOURCE0}
mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gem_dir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gem_dir}/bin
find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

# rpmlint cleanup
chmod 644 %{buildroot}%{gem_libdir}/ole/storage/base.rb
chmod 755 %{buildroot}%{gem_instdir}/test/test_meta_data.rb


%clean
rm -rf %{buildroot}

%check
pushd %{buildroot}%{gem_instdir}
testrb test
popd

%files
%defattr(-, root, root, -)
%{_bindir}/oletool
%dir %{gem_instdir}
%doc %{gem_instdir}/README
%doc %{gem_instdir}/COPYING
%doc %{gem_instdir}/ChangeLog
%{gem_libdir}
%{gem_instdir}/bin
%{gem_instdir}/data
%{gem_cache}
%{gem_spec}


%files doc
%defattr(-, root, root, -)
%{gem_instdir}/test
%{gem_instdir}/Rakefile
%{gem_docdir}
%{gem_instdir}/*.gemspec


%changelog
* Fri Feb 03 2012 Vít Ondruch <vondruch@redhat.com> - 1.2.11.2-2
- Rebuilt for Ruby 1.9.3.

* Sun Jan 08 2012 Michael Stahnke <mastahnke@gmail.com> - 1.2.11.2-1
- Bump to 1.2.11.2 and fix bug 715865

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 25 2010 Michael Stahnke <stahnma@fedoraproject.org> - 1.2.11.1-1
- License changed to MIT per upstream comments

* Thu Sep 16 2010 Michael Stahnke <stahnma@fedoraproject.org> - 1.2.10.1-1
- Initial package
